Foreman - Bug #17641

Speedup vm removal
12/12/2016 01:16 PM - Guido Gunther

Status: Closed
Priority: Normal
Assignee: Guido Gunther
Category: Compute resources - VMware
Target version: 1.14.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4104
Description

Use force when destroying VMs

There's no point in waiting several seconds for any guest utils to shut
down the VM when we want to get rid of it as quickly as possible. This
also works around cases like

2016-12-12T10:33:22 [app] [W] Failed to destroy a compute foo (VMware) instance bar.example.com: T
oolsUnavailable: Der Vorgang kann nicht abgeschlossen werden, weil VMware Tools auf dieser virtuel
len Maschine nicht ausgefithrt wird.

| RbVmomi::Fault: ToolsUnavailable: Der Vorgang kann nicht abgeschlossen werden, weil VMware Tool
s auf dieser virtuellen Maschine

nicht ausgefihrt wird.

| /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/1ib/rbvmomi/connection.rb:61:in ‘parse_
response’

| /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/1ib/rbvmomi/connection.rb:90:in ‘call'

| /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/1ib/rbvmomi/basic_types.rb:205:in "_cal
ll

| /usr/share/foreman/vendor/ruby/2.1.0/gems/rbvmomi-1.8.2/1ib/rbvmoni/basic_types.rb:74:in “block

(2 levels) in init'

| /usr/share/foreman/vendor/ruby/2.1.0/gems/fog-1.34.0/1ib/fog/vsphere/requests/compute/vm_power_
off.rb:17:in ~vm_power_off'

| /usr/share/foreman/vendor/ruby/2.1.0/gems/fog-1.34.0/1ib/fog/vsphere/models/compute/server.rb:9
4:in " stop'

| /usr/share/foreman/vendor/ruby/2.1.0/gems/fog-1.34.0/1ib/fog/vsphere/models/compute/server.rb:1
07:in “destroy'

| /usr/share/foreman/app/models/compute_resource.rb:155:in “destroy_vm'

| /usr/share/foreman/app/models/concerns/orchestration/compute.rb:164:in “~delCompute’

| /usr/share/foreman/app/models/concerns/orchestration.rb:168:in "~execute'

where VMWare misdetecs the Openvm tools status.

Associated revisions

Revision 6816de9b - 12/21/2016 03:36 AM - Guido Giinther

Fixes #17641 - Use force when destroying VMs

There's no point in waiting several seconds for any guest utils to
shut down the VM when we want to get rid of it as quickly as
possible.

This also works around cases like where VMWare misdetects
the openvm-tools status.

Revision 07508ddc - 01/30/2017 11:01 AM - Guido Glinther
Fixes #17641 - Use force when destroying VMs
There's no point in waiting several seconds for any guest utils to
shut down the VM when we want to get rid of it as quickly as
possible.

This also works around cases like where VMWare misdetects

the openvm-tools status.
(cherry picked from commit 6816de9b56216a0558c9200f7590942f2419a217)

History

#1 - 12/12/2016 01:22 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Guido Ginther

- Pull request https://github.com/theforeman/foreman/pull/4104 added

#2 - 12/21/2016 04:02 AM - Guido Giinther
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 6816de9b56216a0558c9200f7590942{2419a2f7.

#3 - 12/21/2016 04:04 AM - Dominic Cleal
- Category changed from Compute resources to Compute resources - VMware

- translation missing: en.field_release set to 210
